Xcode 14.1

Xcode 14.1

Stack ID: osx-xcode-14.1.x-ventura

Current stack revision: v2024-04-15

Changelog Update history Get notified

This Bitrise stack contains the following software:

Languages and runtimes #

Ruby versions

  • 3.0.0
  • 3.0.6
  • 3.0
  • 3.1.4
  • 3.1
  • 3.2.3
  • 3.2 (default)
  • 3.3.0
  • 3.3
  • 3

Ruby version aliases

  • 3 => 3.3.0
  • 3.0 => 3.0.6
  • 3.1 => 3.1.4
  • 3.2 => 3.2.3
  • 3.3 => 3.3.0

Go versions

  • 1.20.8
  • 1.20
  • 1.21.8 (default)
  • 1.21
  • 1

Go version aliases

  • 1 => 1.21.8
  • 1.20 => 1.20.8
  • 1.21 => 1.21.8

Node.js versions

  • 18.19.1
  • 18.19
  • 18 (default)
  • 20.11.1
  • 20.11
  • 20
  • 21.6.2
  • 21.6
  • 21

Node.js version aliases

  • 18 => 18.19.1
  • 18.19 => 18.19.1
  • 20 => 20.11.1
  • 20.11 => 20.11.1
  • 21 => 21.6.2
  • 21.6 => 21.6.2
  • lts => 20.9.0

Java versions

  • system
  • 1.8
  • 1.8.0.352
  • 11.0 (set by /Users/vagrant/.jenv/version) (default)
  • 11.0.17
  • 17.0
  • 17.0.5
  • 21.0
  • 21.0.2
  • 8.0
  • temurin64-1.8.0.352
  • temurin64-11.0.17
  • temurin64-17.0.5
  • temurin64-21.0.2

Flutter versions

  • 3.7.12 (global)
  • 3.7.6
  • 3.0.0
  • 2.10.3
  • 1.22.6

Python

  • Python 2.7.18

Kotlin

  • Kotlin version 1.9.10-release-459 (JRE 11.0.17+8)

Simulators #

Available runtimes and devices:

iOS 13.7

Build version: 17H22

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone 11 Pro
  • iPhone 11 Pro Max
  • iPhone SE (2nd generation)
  • iPad Pro (9.7-inch)
  • iPad (7th generation)
  • iPad Pro (11-inch) (2nd generation)
  • iPad Pro (12.9-inch) (4th generation)
  • iPad Air (3rd generation)
iOS 14.5

Build version: 18E182

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (2nd generation)
  • iPhone 12 mini
  • iPhone 12
  • iPhone 12 Pro
  • iPhone 12 Pro Max
  • iPod touch (7th generation)
  • iPad Pro (9.7-inch)
  • iPad (8th generation)
  • iPad Air (4th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
iOS 15.0

Build version: 19A339

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (2nd generation)
  • iPhone 13 Pro
  • iPhone 13 Pro Max
  • iPhone 13 mini
  • iPhone 13
  • iPod touch (7th generation)
  • iPad Pro (9.7-inch)
  • iPad (9th generation)
  • iPad Air (4th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad mini (6th generation)
iOS 15.2

Build version: 19C51

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (2nd generation)
  • iPhone 13 Pro
  • iPhone 13 Pro Max
  • iPhone 13 mini
  • iPhone 13
  • iPod touch (7th generation)
  • iPad Pro (9.7-inch)
  • iPad (9th generation)
  • iPad Air (4th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad mini (6th generation)
iOS 15.4

Build version: 19E240

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone 13 Pro
  • iPhone 13 Pro Max
  • iPhone 13 mini
  • iPhone 13
  • iPhone SE (3rd generation)
  • iPod touch (7th generation)
  • iPad Pro (9.7-inch)
  • iPad (9th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad Air (5th generation)
  • iPad mini (6th generation)
iOS 15.5

Build version: 19F70

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone 13 Pro
  • iPhone 13 Pro Max
  • iPhone 13 mini
  • iPhone 13
  • iPhone SE (3rd generation)
  • iPod touch (7th generation)
  • iPad Pro (9.7-inch)
  • iPad (9th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad Air (5th generation)
  • iPad mini (6th generation)
iOS 16.0

Build version: 20A360

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (3rd generation)
  • iPhone 14
  • iPhone 14 Plus
  • iPhone 14 Pro
  • iPhone 14 Pro Max
  • iPad (9th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad Air (5th generation)
  • iPad mini (6th generation)
iOS 16.1 (built-in)

Build version: 20B72

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (3rd generation)
  • iPhone 14
  • iPhone 14 Plus
  • iPhone 14 Pro
  • iPhone 14 Pro Max
  • iPad (9th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad Air (5th generation)
  • iPad (10th generation)
  • iPad mini (6th generation)
  • iPad Pro (11-inch) (4th generation)
  • iPad Pro (12.9-inch) (6th generation)
iOS 16.1

Build version: 20B72

Devices:

  • Bitrise iOS default
  • iPhone 8 Plus
  • iPhone 11
  • iPhone SE (3rd generation)
  • iPhone 14
  • iPhone 14 Plus
  • iPhone 14 Pro
  • iPhone 14 Pro Max
  • iPad (9th generation)
  • iPad Pro (11-inch) (3rd generation)
  • iPad Pro (12.9-inch) (5th generation)
  • iPad Air (5th generation)
  • iPad (10th generation)
  • iPad mini (6th generation)
  • iPad Pro (11-inch) (4th generation)
  • iPad Pro (12.9-inch) (6th generation)
tvOS 15.0

Build version: 19J344

Devices:

  • Apple TV
  • Apple TV 4K (2nd generation)
  • Apple TV 4K (2nd generation) (at 1080p)
tvOS 15.2

Build version: 19K50

Devices:

  • Apple TV
  • Apple TV 4K (2nd generation)
  • Apple TV 4K (2nd generation) (at 1080p)
tvOS 15.4

Build version: 19L439

Devices:

  • Apple TV
  • Apple TV 4K (2nd generation)
  • Apple TV 4K (2nd generation) (at 1080p)
tvOS 16.0

Build version: 20J373

Devices:

  • Apple TV
  • Apple TV 4K (2nd generation)
  • Apple TV 4K (2nd generation) (at 1080p)
tvOS 16.1

Build version: 20K67

Devices:

  • Apple TV
  • Apple TV 4K (2nd generation)
  • Apple TV 4K (at 1080p) (2nd generation)
  • Apple TV 4K (3rd generation)
  • Apple TV 4K (3rd generation) (at 1080p)
watchOS 8.0

Build version: 19R345

Devices:

  • Apple Watch Series 5 (40mm)
  • Apple Watch Series 5 (44mm)
  • Apple Watch Series 6 (40mm)
  • Apple Watch Series 6 (44mm)
  • Apple Watch Series 7 (41mm)
  • Apple Watch Series 7 (45mm)
watchOS 8.3

Build version: 19S51

Devices:

  • Apple Watch Series 5 (40mm)
  • Apple Watch Series 5 (44mm)
  • Apple Watch Series 6 (40mm)
  • Apple Watch Series 6 (44mm)
  • Apple Watch Series 7 (41mm)
  • Apple Watch Series 7 (45mm)
watchOS 8.5

Build version: 19T241

Devices:

  • Apple Watch Series 5 (40mm)
  • Apple Watch Series 5 (44mm)
  • Apple Watch Series 6 (40mm)
  • Apple Watch Series 6 (44mm)
  • Apple Watch Series 7 (41mm)
  • Apple Watch Series 7 (45mm)
watchOS 9.0

Build version: 20R362

Devices:

  • Apple Watch Series 5 (40mm)
  • Apple Watch Series 5 (44mm)
  • Apple Watch Series 6 (40mm)
  • Apple Watch Series 6 (44mm)
  • Apple Watch Series 7 (41mm)
  • Apple Watch Series 7 (45mm)
  • Apple Watch SE (40mm) (2nd generation)
  • Apple Watch SE (40mm) (2nd generation)
  • Apple Watch Series 8 (41mm)
  • Apple Watch Series 8 (45mm)
  • Apple Watch Ultra (49mm)
watchOS 9.1

Build version: 20S75

Devices:

  • Apple Watch Series 5 (40mm)
  • Apple Watch Series 5 (44mm)
  • Apple Watch Series 6 (40mm)
  • Apple Watch Series 6 (44mm)
  • Apple Watch Series 7 (41mm)
  • Apple Watch Series 7 (45mm)
  • Apple Watch SE (40mm) (2nd generation)
  • Apple Watch SE (44mm) (2nd generation)
  • Apple Watch Series 8 (41mm)
  • Apple Watch Series 8 (45mm)
  • Apple Watch Ultra (49mm)

CLI tools #

Apple development #

Xcode version
$ xcodebuild -version

Xcode 14.1 Build version 14B47b
Swift (Xcode bundled)
$ xcrun swift --version

swift-driver version: 1.62.15 Apple Swift version 5.7.1 (swiftlang-5.7.1.135.3 clang-1400.0.29.51) Target: arm64-apple-macosx13.0
Active Xcode command line tools
$ xcode-select --print-path

/Applications/Xcode-14.1.0.app/Contents/Developer
Tuist - 3.19.0
$ tuist version

3.19.0
Homebrew config
$ brew config

HOMEBREW_VERSION: 4.2.18 ORIGIN: https://github.com/Homebrew/brew HEAD: 9edabf02ce29e54d0b717baa757cff38ad0c0e25 Last commit: 35 hours ago Core tap origin: /Users/vagrant/mirrors/github.com/bitrise-io/homebrew-core Core tap HEAD: f248ae213f59dae615576e3dc06faa920ee2e717 Core tap last commit: 19 hours ago Core tap JSON: 12 Dec 08:11 UTC Core cask tap origin: /Users/vagrant/mirrors/github.com/bitrise-io/homebrew-cask Core cask tap HEAD: 14b7f45e504fb24c76444706a10a40af0c3a610c Core cask tap last commit: 18 hours ago Core cask tap JSON: 13 Feb 14:55 UTC HOMEBREW_PREFIX: /opt/homebrew HOMEBREW_CASK_OPTS: ["--no-quarantine"] HOMEBREW_CORE_GIT_REMOTE: /Users/vagrant/mirrors/github.com/bitrise-io/homebrew-core HOMEBREW_MAKE_JOBS: 5 HOMEBREW_NO_ANALYTICS: set HOMEBREW_NO_AUTO_UPDATE: set HOMEBREW_NO_INSTALL_CLEANUP: set HOMEBREW_NO_INSTALL_FROM_API: set Homebrew Ruby: 3.1.4 => /opt/homebrew/Library/Homebrew/vendor/portable-ruby/3.1.4/bin/ruby CPU: 5-core 64-bit dunno Clang: 14.0.0 build 1400 Git: 2.40.1 => /opt/homebrew/bin/git Curl: 7.86.0 => /usr/bin/curl macOS: 13.2-arm64 CLT: 14.2.0.0.1.1668646533 Xcode: 14.1 => /Applications/Xcode-14.1.0.app/Contents/Developer Rosetta 2: false
Mint - 0.17.5
$ mint version

Version: 0.17.5
Cocoapods config
$ pod env

### Stack ``` CocoaPods : 1.15.2 Ruby : ruby 3.2.3 (2024-01-18 revision 52bb2ac0a6) [arm64-darwin22] RubyGems : 3.4.19 Host : macOS 13.2 (22D49) Xcode : 14.1 (14B47b) Git : git version 2.37.1 (Apple Git-137.1) Ruby lib dir : /Users/vagrant/.asdf/installs/ruby/3.2.3/lib Repositories : master - git - https://github.com/CocoaPods/Specs.git @ e517fef61c823a5dc6f55d952bb7478c99308744 trunk - CDN - https://cdn.cocoapods.org/ ``` ### Installation Source ``` Executable Path: /Users/vagrant/.asdf/installs/ruby/3.2/bin/pod ``` ### Plugins ``` cocoapods-deintegrate : 1.0.5 cocoapods-plugins : 1.0.0 cocoapods-search : 1.0.1 cocoapods-trunk : 1.6.0 cocoapods-try : 1.2.0 slather : 2.8.0 ```
Carthage - 0.39.1
$ carthage version

Please update to the latest Carthage version: 0.39.1. You currently are on 0.39.0 0.39.0
SwiftLint - 0.51.0
$ swiftlint version

0.51.0
xcpretty - 0.3.0
$ xcpretty --version

0.3.0
applesimutils - 0.9.9
$ applesimutils -v

applesimutils version 0.9.9
danger-swift - 3.16.0
$ danger-swift --version

3.16.0 
xcbeautify - 0.20.0
$ xcbeautify --version

0.20.0
xclogparser - 0.2.36
$ xclogparser version

XCLogParser 0.2.36

Android development #

Emulator version - 31.3.14
$ grep ^Pkg.Revision "${ANDROID_HOME}"/emulator/source.properties

Pkg.Revision=31.3.14
Gradle - 8.4
$ gradle --version

Welcome to Gradle 8.4! Here are the highlights of this release: - Compiling and testing with Java 21 - Faster Java compilation on Windows - Role focused dependency configurations creation For more details see https://docs.gradle.org/8.4/release-notes.html ------------------------------------------------------------ Gradle 8.4 ------------------------------------------------------------ Build time: 2023-10-04 20:52:13 UTC Revision: e9251e572c9bd1d01e503a0dfdf43aedaeecdc3f Kotlin: 1.9.10 Groovy: 3.0.17 Ant: Apache Ant(TM) version 1.10.13 compiled on January 4 2023 JVM: 11.0.17 (Eclipse Adoptium 11.0.17+8) OS: Mac OS X 13.2 aarch64
Maven - 3.9.5
$ mvn --version

Apache Maven 3.9.5 (57804ffe001d7215b5e7bcb531cf83df38f93546) Maven home: /opt/homebrew/Cellar/maven/3.9.5/libexec Java version: 11.0.17, vendor: Eclipse Adoptium, runtime: /Library/Java/JavaVirtualMachines/temurin-11.jdk/Contents/Home Default locale: en_US, platform encoding: UTF-8 OS name: "mac os x", version: "13.2", arch: "aarch64", family: "mac"
Ant - 1.10.14
$ ant -version

Apache Ant(TM) version 1.10.14 compiled on August 16 2023
Android SDK packages
  Path                                                                              | Version      | Description                        | Location                                                                         
  -------                                                                           | -------      | -------                            | -------                                                                          
  add-ons;addon-google_apis-google-24                                               | 1            | Google APIs                        | add-ons/addon-google_apis-google-24                                              
  build-tools;32.0.0                                                                | 32.0.0       | Android SDK Build-Tools 32         | build-tools/32.0.0                                                               
  build-tools;32.1.0-rc1                                                            | 32.1.0 rc1   | Android SDK Build-Tools 32.1-rc1   | build-tools/32.1.0-rc1                                                           
  cmake;3.10.2.4988404                                                              | 3.10.2       | CMake 3.10.2.4988404               | cmake/3.10.2.4988404                                                             
  cmake;3.22.1                                                                      | 3.22.1       | CMake 3.22.1                       | cmake/3.22.1                                                                     
  emulator                                                                          | 31.3.14      | Android Emulator                   | emulator                                                                         
  extras;google;google_play_services                                                | 49           | Google Play services               | extras/google/google_play_services                                               
  ndk-bundle                                                                        | 24.0.8215888 | Android NDK                        | ndk-bundle                                                                       
  patcher;v4                                                                        | 1            | SDK Patch Applier v4               | patcher/v4                                                                       
  platform-tools                                                                    | 33.0.3       | Android SDK Platform-Tools         | platform-tools                                                                   
  platforms;android-32                                                              | 1            | Android SDK Platform 32            | platforms/android-32                                                             

Generic tools #

Git - 2.37.1
$ git --version

git version 2.37.1 (Apple Git-137.1)
Git LFS - 3.3.0
$ git-lfs version

git-lfs/3.3.0 (GitHub; darwin arm64; go 1.19.3)
GitHub CLI - 2.28.0
$ gh --version

gh version 2.28.0 (2023-04-25) https://github.com/cli/cli/releases/tag/v2.28.0
jq - 1.6
$ jq --version

jq-1.6
AWS CLI - 2.13.25
$ aws --version

aws-cli/2.13.25 Python/3.11.6 Darwin/22.3.0 source/arm64 prompt/off
Dart global packages
$ dart pub global list

junitreport 2.0.2
Mercurial - 6.5.2
$ hg version

Mercurial Distributed SCM (version 6.5.2) (see https://mercurial-scm.org for more information) Copyright (C) 2005-2023 Olivia Mackall and others This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Firebase - 11.30.0
$ firebase --version

11.30.0
OpenConnect - 9.12
$ openconnect --version

OpenConnect version v9.12 Using GnuTLS 3.8.1. Features present: PKCS#11, RSA software token, HOTP software token, TOTP software token, Yubikey OATH, System keys, DTLS, ESP Supported protocols: anyconnect (default), nc, gp, pulse, f5, fortinet, array Default vpnc-script (override with --script): /opt/homebrew/etc/vpnc/vpnc-script
CMake - 3.26.3
$ cmake --version

cmake version 3.26.3 CMake suite maintained and supported by Kitware (kitware.com/cmake).
OpenVPN - 2.6.4
$ openvpn --version

OpenVPN 2.6.4 aarch64-apple-darwin22.4.0 [SSL (OpenSSL)] [LZO] [LZ4] [PKCS11] [MH/RECVDA] [AEAD] library versions: OpenSSL 3.1.3 19 Sep 2023, LZO 2.10 Originally developed by James Yonan Copyright (C) 2002-2023 OpenVPN Inc <[email protected]> Compile time defines: enable_async_push=no enable_comp_stub=no enable_crypto_ofb_cfb=yes enable_dco=no enable_debug=no enable_dependency_tracking=no enable_dlopen=unknown enable_dlopen_self=unknown enable_dlopen_self_static=unknown enable_fast_install=needless enable_fragment=yes enable_iproute2=no enable_libtool_lock=yes enable_lz4=yes enable_lzo=yes enable_management=yes enable_pam_dlopen=no enable_pedantic=no enable_pkcs11=yes enable_plugin_auth_pam=yes enable_plugin_down_root=yes enable_plugins=yes enable_port_share=yes enable_selinux=no enable_shared=yes enable_shared_with_static_runtimes=no enable_silent_rules=no enable_small=no enable_static=yes enable_strict=no enable_strict_options=no enable_systemd=no enable_werror=no enable_win32_dll=yes enable_wolfssl_options_h=yes enable_x509_alt_username=no with_aix_soname=aix with_crypto_library=openssl with_gnu_ld=no with_mem_check=no with_openssl_engine=auto with_sysroot=no

Global NPM packages #

Global NPM packages
$ npm list -g --depth=0

/Users/vagrant/.asdf/installs/nodejs/18.19.1/lib ├── @ionic/[email protected] ├── [email protected] ├── [email protected] ├── [email protected] ├── [email protected] ├── [email protected] └── [email protected]

Bitrise-specific #

Bitrise CLI - 2.10.0
$ bitrise --version

2.10.0
Bitrise stepman - 0.16.1
$ stepman --version

0.16.1
Bitrise envman - 2.4.2
$ envman --version

2.4.2

Homebrew #

All packages
  • ant 1.10.14
  • aom 3.7.0
  • applesimutils 0.9.9
  • apr 1.7.4
  • apr-util 1.6.3
  • argon2 20190702_1
  • aria2 1.36.0_1
  • aspell 0.60.8
  • autoconf 2.71
  • awscli 2.13.25
  • bazelisk 1.16.0
  • boost 1.82.0_1
  • brotli 1.1.0
  • ca-certificates 2023-08-22
  • cairo 1.18.0
  • carthage 0.39.0
  • cffi 1.16.0
  • cmake 3.26.3
  • coreutils 9.1
  • curl 8.4.0
  • danger-js 64
  • danger-swift 3.16.0
  • dart 2.18.6
  • docutils 0.20.1
  • double-conversion 3.3.0
  • edencommon 2023.10.09.00
  • fb303 2023.10.09.00
  • fbthrift 2023.10.09.00
  • fizz 2023.10.09.00
  • flow 0.205.1
  • fmt 10.1.1
  • folly 2023.10.09.00
  • fontconfig 2.14.2
  • freetds 1.4.2
  • freetype 2.13.2
  • fvm 2.4.1
  • gd 2.3.3_6
  • gettext 0.22.3
  • gflags 2.2.2
  • gh 2.28.0
  • ghostscript 10.02.0
  • giflib 5.2.1
  • git 2.40.1
  • git-lfs 3.3.0
  • glib 2.78.0
  • glog 0.6.0
  • gmp 6.2.1_1
  • gnupg 2.4.3
  • gnutls 3.8.1
  • gradle 8.4
  • graphite2 1.3.14
  • groovy 4.0.15
  • harfbuzz 8.2.1
  • highway 1.0.7
  • hub 2.14.2
  • icu4c 73.2
  • imagemagick 7.1.1-20
  • imath 3.1.9
  • jasper 4.0.0
  • jbig2dec 0.20
  • jenv 0.5.5_2
  • jpeg-turbo 3.0.0
  • jpeg-xl 0.8.2_1
  • jq 1.6
  • kotlin 1.9.10
  • krb5 1.21.2
  • libassuan 2.5.6
  • libavif 1.0.1
  • libde265 1.0.12
  • libevent 2.1.12
  • libgcrypt 1.10.2
  • libgpg-error 1.47
  • libheif 1.16.2
  • libidn 1.41
  • libidn2 2.3.4_1
  • libksba 1.6.4
  • liblqr 0.4.2_1
  • libnghttp2 1.57.0
  • libomp 16.0.3 17.0.2
  • libpng 1.6.40
  • libpq 16.0
  • libraw 0.21.1
  • libsodium 1.0.18_1
  • libssh2 1.11.0
  • libtasn1 4.19.0
  • libtiff 4.6.0
  • libtool 2.4.7
  • libunistring 1.1
  • libusb 1.0.26
  • libvmaf 2.3.1
  • libx11 1.8.4 1.8.6
  • libxau 1.0.11
  • libxcb 1.16
  • libxdmcp 1.1.4
  • libxext 1.3.5
  • libxrender 0.9.11
  • libyaml 0.2.5
  • libzip 1.10.1
  • little-cms2 2.15
  • llvm 17.0.2
  • lokalise2 2.6.8
  • lz4 1.9.4
  • lzo 2.10
  • m4 1.4.19
  • maven 3.9.5
  • mercurial 6.5.2
  • mint 0.17.5
  • mpdecimal 2.5.1
  • nettle 3.9.1
  • npth 1.6
  • oniguruma 6.9.8
  • openconnect 9.12
  • openexr 3.2.1
  • openjdk 21
  • openjdk@11 11.0.20.1
  • openjdk@17 17.0.8.1
  • openjpeg 2.5.0_1
  • openldap 2.6.6
  • [email protected] 1.1.1u
  • openssl@3 3.1.3
  • openvpn 2.6.4
  • p11-kit 0.25.0
  • parallel 20230422
  • pcre2 10.42
  • php 8.2.11
  • pinentry 1.2.1
  • pixman 0.42.2
  • pkcs11-helper 1.29.0
  • pkg-config 0.29.2_3
  • pycparser 2.21
  • pyenv 2.3.18
  • [email protected] 3.11.6
  • pyyaml 6.0_1
  • rbenv 1.2.0
  • readline 8.2.1
  • rtmpdump 2.4+20151223_1
  • ruby-build 20230512
  • screen 4.9.0_1
  • shared-mime-info 2.3
  • six 1.16.0_3
  • snappy 1.1.10
  • sonar-scanner 5.0.1.3006
  • sqlite 3.43.2
  • stoken 0.92_1
  • swiftlint 0.51.0
  • tidy-html5 5.8.0
  • transcrypt 2.2.3
  • tree 2.1.0
  • unbound 1.17.1
  • unixodbc 2.3.12
  • wangle 2023.10.09.00
  • watchman 2023.10.09.00
  • webp 1.3.2
  • wget 1.21.4
  • x265 3.5
  • xcbeautify 0.20.0
  • xclogparser 0.2.36
  • xcodes 1.3.0
  • xorgproto 2023.2
  • xz 5.4.4
  • yamllint 1.32.0
  • yarn 1.22.19
  • z3 4.12.2
  • zeromq 4.3.4
  • zstd 1.5.5
  • temurin11 11.0.17,8
  • temurin17 17.0.5,8
  • temurin21 21.0.2,13
  • temurin8 8,352,08

OS #

macOS system overview
$ system_profiler SPSoftwareDataType

Software: System Software Overview: System Version: macOS 13.2 (22D49) Kernel Version: Darwin 22.3.0 Boot Volume: Macintosh HD Boot Mode: Normal Computer Name: vm-osx-ventura-g2-m1-max.5core-9285589a-b559-49f8-a444-a335304f5236 User Name: vagrant (vagrant) Secure Virtual Memory: Enabled System Integrity Protection: Disabled Time since boot: 1 minute, 57 seconds
Disk space
$ df -h /

Filesystem Size Used Avail Capacity iused ifree %iused Mounted on /dev/disk2s1s1 365Gi 8.3Gi 112Gi 7% 349469 1171294680 0% /
OpenSSH
$ ssh -V

OpenSSH_9.0p1, LibreSSL 3.3.6